package com.ruoyi.model.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.model.domain.AppUsers;

/**
 * 用户Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public interface AppUsersMapper extends BaseMapper<AppUsers>
{
    /**
     * 查询用户
     * 
     * @param userId 用户主键
     * @return 用户
     */
    public AppUsers selectAppUsersByUserId(Long userId);

    /**
     * 查询用户列表
     * 
     * @param appUsers 用户
     * @return 用户集合
     */
    public List<AppUsers> selectAppUsersList(AppUsers appUsers);

    /**
     * 新增用户
     * 
     * @param appUsers 用户
     * @return 结果
     */
    public int insertAppUsers(AppUsers appUsers);

    /**
     * 修改用户
     * 
     * @param appUsers 用户
     * @return 结果
     */
    public int updateAppUsers(AppUsers appUsers);

    /**
     * 删除用户
     * 
     * @param userId 用户主键
     * @return 结果
     */
    public int deleteAppUsersByUserId(Long userId);

    /**
     * 批量删除用户
     * 
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppUsersByUserIds(Long[] userIds);

    /**
     * 根据微信标识查询用户信息
     * @param openid
     * @return
     */
    public AppUsers selectAppUsersByOpenId(String openid);
}
